---
toc_max_heading_level: 2
---

# Showcase

WebMidi.js is being used by amazing people to create awesome projects. Here are some examples of 
what the library can do.

:::tip Contribute

I would love for your project to be listed here. To add it, simply
[modify](https://github.com/djipco/webmidi/edit/develop/website/src/pages/showcase/index.md) this
page on GitHub and submit a pull request.

:::

---

## DAWs & Editors

* ### [DAWG](https://dawg.dev/)

  Created by: **Jacob Smith, Amir Eldesoky, Alex ODonnell & Matt DeSilva**

  Digital Audio Workstation (DAW) application built using web technologies and distributed as a 
  native application using Electron.


## Education

* ### [Learn Push 2](https://github.com/greyivy/learn-push2-with-svelte)
  Created by: **Ivy**

  A website to learn chords, scales and music theory with the Push 2 controller.

* ### [Raaga](https://raaga.riteshkr.com/)
  Created by: **Ritesh Kumar, Jack Hsu, Prateek Bhatnagar, Sruthi, Majid Hajian & Rohit Kokate**

  An online app to play and learn music on a keyboard.

* ### [Shared Piano](https://musiclab.chromeexperiments.com/Shared-Piano/)
  Created by: **Yotam Mann**

  Shared Piano is a simple tool for remote music teaching and collaboration that lets you play music
  together live on the web.

* ### [WebAudio Generator](https://webaudio.simmsreeve.com/)
  Created by: **Joe Reeve & Magnus**

  A user interface to facilitate the generation of linear WebAudio code.


## Experiments

* ### [A.I. Duet](https://experiments.withgoogle.com/ai-duet)
  Created by: **Yotam Mann**

  This experiment lets you play a piano duet with the computer. Just play some notes, and the 
  computer will respond to your melody.

* ### [Eternal](https://github.com/kousun12/eternal)
  Created by: **Rob Cheung**

  This experiment lets you play a piano duet with the computer. Just play some notes, and the 
  computer will respond to your melody.

* ### [Mideo](https://github.com/jwktje/mideo)
  Created by: **Jan Willem Kilkman**

  A Mac application that turns videos into music. It uses color tracking in combination with a grid 
  to generate MIDI data.

* ### [Sonification: turning the yield curve into music](https://www.ft.com/content/80269930-40c3-11e9-b896-fe36ec32aece)
  Created by: **Alan Smith**

  This experiment turns the US yield curve into music and uses WEBMIDI.js to generate the MIDI note
  messages.

* ### [Seeing Music](https://experiments.withgoogle.com/seeing-music)
  Created by: **Jay Alan Zimmerman, Yotam Mann, Claire Kearney-Volpe, Luisa Pereira, Kyle Phillips, 
  and Google Creative Lab**

  An experiment to experience music visually. This is a tool for visualizing music. You can turn on 
  your mic to sing or play sounds. You can also drop in your own audio or video file.

* ### [webmidirtc](https://github.com/philmillman/webmidirtc)
  Created by: **philmillman**

  This project is meant to demonstrate controlling hardware synths using Web MIDI (via WebMidi.js)
  over a WebRTC video call (using Daily.)


## Music Hardware Control

* ### [Mercury7 editor](https://github.com/francoisgeorgy/mercury7-web-editor)
  Created by: **François Georgy**

  Control your Meris Mercury7 pedal with your web browser. View all the pedal's settings at once.

* ### [MicroFreak Reader](https://studiocode.dev/doc/microfreak-reader/)
  Created by: **François Georgy**

  An application to read and display the presets stored in the Arturia MicroFreak memory.

* ### [NTS1 Web Controller](https://directions4.github.io/nts1-web-controller/)
  Created by: **Satoru Shikita**

  Web browser interface to control the KORG Nu:Tekt NTS-1.

* ### [Pacer Editor](https://studiocode.dev/pacer-editor/#/)
  Created by: **François Georgy**

  Web interface for the Nektar Pacer MIDI controller.

* ### [Soundshed](https://soundshed.com/)
  Created by: **Christopher Cook & Lavabyrd**

  A Desktop app to browse and manage guitar amp tones. Control your bluetooth amp, jam to video
  backing tracks.


## Components & Languages

* ### [FAUST](https://faust.grame.fr/)
  Created by: **Grame Research Lab**

  The online Faust IDE can be used to edit, compile and run Faust code from the Web Browser.

* ### [Midi Bricks](https://midi-bricks.timsusa.vercel.app/)
  Created by: **Tim Susa**

  A tool to build custom interfaces for MIDI control.

* ### [React Audio Tools](http://react-audio-tools.surge.sh/)
  Created by: **ambewas**

  A set of React components to build things with the Web Audio and Web MIDI APIs.


## Live Coding

* ### [Sema](https://sema.codes/)
  Created by: **Francisco Bernardo, Chris Kiefer & Thor Magnusson**

  Sema is a playground where you can rapidly prototype live coding mini-languages for signal 
  synthesis, machine learning and machine listening.

## Online Synthesizers

* ### [synth.kitchen](https://synth.kitchen/)
  Created by: **Spencer Rudnick**

  In-browser modular synthesis with Web Audio and Web MIDI.


## Notation

* ### [Inscore](https://inscore.grame.fr/)
  Created by: **Dominique Fober, guillaumeg03 & Gabriel Leptit-Aimon**

  An environment for the design of interactive, augmented, dynamic musical scores.

* ### [Nonoto](https://github.com/SonyCSLParis/NONOTO)
  Created by: **Théis Bazin, Sebastian Haas & Gaetan Hadjeres**

  An A.I.-powered interactive score distributed as an Electron application. It allows users to
  interact intuitively with any existing music composition algorithm.


## Robotics

* ### [Dexter Development Environment](https://www.hdrobotic.com/software)
  Created by: **Haddington Dynamics**

  The Dexter Development Environment, which is used to control the Dexter 7-axis robot arm, bundles
  WEBMIDI.js for MIDI control of the device. 

